- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Xapian::ExpandDecider Class Reference

Virtual base class for expand decider functor. More...

Inheritance diagram for Xapian::ExpandDecider:

[legend]
List of all members.

## Public Member Functions
virtual bool | operator() (const std::string &term) const =0
| Do we want this term in the ESet?
virtual | ~ExpandDecider ()
| Virtual destructor, because we have virtual methods.

## Detailed Description

Virtual base class for expand decider functor.

## Constructor & Destructor Documentation

virtual Xapian::ExpandDecider::~ExpandDecider | ( |  | ) | `[virtual]`

Virtual destructor, because we have virtual methods.

## Member Function Documentation

virtual bool Xapian::ExpandDecider::operator() | ( | const std::string & | term | ) | const`[pure virtual]`

Do we want this term in the ESet?

Implemented in Xapian::ExpandDeciderAnd, and Xapian::ExpandDeciderFilterTerms.

The documentation for this class was generated from the following file:

- xapian/expanddecider.h